# org.pdfclown.documents.contents.entities.Barcode Class Reference

Abstract barcode object. More...

Inheritance diagram for org.pdfclown.documents.contents.entities.Barcode:

List of all members.

## Public Member Functions
abstract ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
abstract xObjects::XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].
## Protected Member Functions
| Barcode (string code)
## Protected Attributes
string | code
## Properties
string | Code`[get]`
| Gets the code to represent.

##

Abstract barcode object.

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.entities.Barcode.Barcode | ( | string | code | ) | `[protected]`

## Member Function Documentation

abstract ContentObject org.pdfclown.documents.contents.entities.Entity.ToInlineObject | ( | PrimitiveComposer | composer | ) | `[pure virtual, inherited]`

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implements org.pdfclown.documents.contents.IContentEntity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, and org.pdfclown.documents.contents.entities.JpegImage.

abstract xObjects::XObject org.pdfclown.documents.contents.entities.Entity.ToXObject | ( | Document | context | ) | `[pure virtual, inherited]`

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implements org.pdfclown.documents.contents.IContentEntity.

Implemented in org.pdfclown.documents.contents.entities.EAN13Barcode, and org.pdfclown.documents.contents.entities.JpegImage.

## Member Data Documentation

string org.pdfclown.documents.contents.entities.Barcode.code`[protected]`

## Property Documentation

string org.pdfclown.documents.contents.entities.Barcode.Code`[get]`

Gets the code to represent.

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.